org.jacoco.core.runtime

## Enum AgentOptions.OutputMode

- java.lang.Object
- - java.lang.Enum<AgentOptions.OutputMode>
  - - org.jacoco.core.runtime.AgentOptions.OutputMode

All Implemented Interfaces:
  Serializable, Comparable<AgentOptions.OutputMode>

Enclosing class:
  AgentOptions

    public static enum AgentOptions.OutputMode
    extends Enum<AgentOptions.OutputMode>

Possible values for `AgentOptions.OUTPUT`.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`file` Value for the `AgentOptions.OUTPUT` parameter: At VM termination execution data is written to the file specified by `AgentOptions.DESTFILE`.
`none` Value for the `AgentOptions.OUTPUT` parameter: Do not produce any output.
`tcpclient` Value for the `AgentOptions.OUTPUT` parameter: At startup the agent connects to a TCP port specified by the `AgentOptions.ADDRESS` and `AgentOptions.PORT` attribute.
`tcpserver` Value for the `AgentOptions.OUTPUT` parameter: The agent listens for incoming connections on a TCP port specified by `AgentOptions.ADDRESS` and `AgentOptions.PORT`.

### Method Summary

All Methods Static Methods Concrete Methods
`static AgentOptions.OutputMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AgentOptions.OutputMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### file

    public static final AgentOptions.OutputMode file

Value for the `AgentOptions.OUTPUT` parameter: At VM termination execution data is written to the file specified by `AgentOptions.DESTFILE`.

#### tcpserver

    public static final AgentOptions.OutputMode tcpserver

Value for the `AgentOptions.OUTPUT` parameter: The agent listens for incoming connections on a TCP port specified by `AgentOptions.ADDRESS` and `AgentOptions.PORT`.

#### tcpclient

    public static final AgentOptions.OutputMode tcpclient

Value for the `AgentOptions.OUTPUT` parameter: At startup the agent connects to a TCP port specified by the `AgentOptions.ADDRESS` and `AgentOptions.PORT` attribute.

#### none

    public static final AgentOptions.OutputMode none

Value for the `AgentOptions.OUTPUT` parameter: Do not produce any output.

### Method Detail

#### values

    public static AgentOptions.OutputMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AgentOptions.OutputMode c : AgentOptions.OutputMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AgentOptions.OutputMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null